#!/bin/sh

cd /mnt/mtd/modules/extdrv/

IS_NVR_USE_POE=`grep -i '(nvp' /proc/cmdline`
IS_NVR_USE_POE_PHY17=`grep -i '(nep' /proc/cmdline`
NET_CHIP_TYPE=`cat "/etc/init.d/NetChip.dat"`

mkdir /lib/modules
mkdir /lib/modules/3.0.8
if [ "$IS_NVR_USE_POE" == "" -a "$IS_NVR_USE_POE_PHY17" == "" ];then
	rmmod stmmac
else
	rmmod rtl8370m
	rmmod stmmac
fi

if [ "$IS_NVR_USE_POE" == "" ];then
	if [ "$IS_NVR_USE_POE_PHY17" == "" ];then
		if [ "$NET_CHIP_TYPE" = "1" ] ; then
			echo "current net is 100M+++++++"
			insmod stmmac.ko macsorts=1 phyid0=2 phyid1=1 phytype=1
		else
			insmod stmmac.ko macsorts=1 phyid0=2 phyid1=1
		fi
	else
		if [ "$NET_CHIP_TYPE" = "1" ] ; then
			echo "current net is 100M+++++++"
			insmod stmmac.ko macsorts=1 phyid0=2 phyid1=1 phytype=1
		else
			insmod stmmac.ko macsorts=1 phyid0=0 phyid1=17
			insmod rtl8370m.ko
		fi
	fi
else
	if [ "$NET_CHIP_TYPE" = "1" ] ; then
		echo "current net is 100M+++++++"
		insmod stmmac.ko macsorts=1 phyid0=0 phyid1=1 phytype=1
	else
		insmod stmmac.ko macsorts=1 phyid0=0 phyid1=1
		insmod rtl8370m.ko
	fi
fi

export mac=$(cat /etc/init.d/mac.dat)
ifconfig eth0 down
ifconfig eth0 hw ether $mac
ifconfig eth0 up

if [ "$IS_NVR_USE_POE" != "" -o "$IS_NVR_USE_POE_PHY17" != "" ]; then
	ifconfig eth1 down
	ifconfig eth1 hw ether $mac
	ifconfig eth1 10.151.151.1
fi

ifconfig lo up
route add -net 224.0.0.0 netmask 240.0.0.0 dev eth0 
         