#!/bin/sh

echo 8192 > /proc/sys/vm/min_free_kbytes
echo 200 > /proc/sys/vm/vfs_cache_pressure

IS_NVR=`grep -i '(nv' /proc/cmdline`
if [ "$IS_NVR" == "" ];then
	echo 8192 > /proc/sys/vm/min_free_kbytes
else
	echo 16384 > /proc/sys/vm/min_free_kbytes
fi

cd /mnt/mtd/modules/extdrv/

IS_NVR_USE_POE=`grep -i '(nvp' /proc/cmdline`
IS_NVR_USE_POE_PHY17=`grep -i '(nep' /proc/cmdline`
NET_CHIP_TYPE=`cat "/etc/init.d/NetChip.dat"`
if [ "$IS_NVR_USE_POE" == "" ];then
	if [ "$IS_NVR_USE_POE_PHY17" == "" ];then
		if [ "$NET_CHIP_TYPE" = "1" ] ; then
			echo "current net is 100M+++++++"
			insmod stmmac.ko macsorts=1 phyid0=2 phyid1=1 phytype=1
		else
			insmod stmmac.ko macsorts=1 phyid0=2 phyid1=1
		fi
	else
		if [ "$NET_CHIP_TYPE" = "1" ] ; then
			echo "current net is 100M+++++++"
			insmod stmmac.ko macsorts=1 phyid0=2 phyid1=1 phytype=1
		else
			insmod stmmac.ko macsorts=1 phyid0=0 phyid1=17
			insmod net-pnp.ko
			insmod rtl8370m.ko
			insmod ip1826d.ko
		fi
	fi
else
	if [ "$NET_CHIP_TYPE" = "1" ] ; then
		echo "current net is 100M+++++++"
		insmod stmmac.ko macsorts=1 phyid0=0 phyid1=1 phytype=1
	else
		insmod stmmac.ko macsorts=1 phyid0=0 phyid1=1
		insmod net-pnp.ko
		insmod rtl8370m.ko
		insmod ip1826d.ko
	fi
fi

insmod ehci-hcd.ko
insmod ohci-hcd.ko


UpdateStatus=/mnt/mtd/Update.dat
PreUpgradeSh=/upgrade/preupgrade.sh

rm /var/* -f
rm /nfsdir -rf
mkdir /nfsdir
mount -t tmpfs tmpfs /nfsdir


# ļǷںͿɶ
if [ ! -e "$UpdateStatus" -o ! -r "$UpdateStatus" ] ; then
	#ΪգʾղʱҪڴ
	echo 1 > ${UpdateStatus}
	chmod 666 ${UpdateStatus}
fi

RESULT=`cat "$UpdateStatus"`
if [ "$RESULT" = "1" ] ; then
	ls ${PreUpgradeSh}
	if [ "$?" != 0 ] ; then 
		echo 0 > ${UpdateStatus}
		/mnt/mtd/dep2.sh		
	else
		sh ${PreUpgradeSh}			
	fi		
else
	echo "No need to recovery program from USB"
	/mnt/mtd/dep2.sh
fi

